Subject: Re: WARNING: Serious Pentium Bug
From: [email-masked] (Joe Wronski)

8 Nov 1997 10:57:39 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Keet / Foxbird <[email-masked]>
Cc: [email-masked]

I'm no OS expert, but a couple observations:

You got debugging output, so the program didn't "crash" your machine,
right?  The cygwin exception handler dealt with the exception, so the
machine wasn't really in the weeds.  If it crashes or locks up the
machine in Windoze without cygwin running, that would point to a bug in
the Windoze exception handlers, wouldn't it?  

Or does the reported 'bug' have to do with the hardware aspects of the
exception handler?

PS:  What is coolview?  Best that I can guess is that it's not Codeview,
which I used as a debugger back with microsoft Masm 5.0.

Keet / Foxbird wrote:
> 
> >char x [5] = { 0xf0, 0x0f, 0xc7, 0xc8 };
> >
> >main ()
> >{
> >       void (*f)() = x;
> >       f();
> >}
> 
> Okay, here's the results from a P90 AT&T Globalyst 630, running Win95, with
> IExplorer 4.0 installed (not that would matter, but it might), and the
> original B18 installation (I would be running the new Coolview, but I've no
> idea how to even begin making them work :P) Compiled using the line:
> 
> gcc -g -O -o crash crash.c
> 
> it yielded a warning about an incompatable pointer type, but did compile.
> When running it, it revealed the following:
> 
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) In cygwin_except_handler
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) Exception trapped!
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) exception C0000005 at 403014
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) exception: ax 0 bx 253F520 cx 10047814 dx 0
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) exception: si 5 di 1000B8B3 bp 253F50C
> sp 253
> F508
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) exception is: STATUS_ACCESS_VIOLATION
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) Stack trace:
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 0: sp = 0x253F320, pc = 0x1000CEC2
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 1: sp = 0x253F33C, pc = 0xBFF7663C
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 2: sp = 0x253F360, pc = 0xBFF859D9
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 3: sp = 0x253F3F8, pc = 0xFFECBAD7
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 4: sp = 0x253F50C, pc = 0x1000C102
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 5: sp = 0x253FE0C, pc = 0x1000C113
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 6: sp = 0x253FE18, pc = 0x4011A9
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 7: sp = 0x253FE28, pc = 0x40103B
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 8: sp = 0x253FE38, pc = 0xBFF88F75
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 9: sp = 0x253FF78, pc = 0xBFF88E23
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 10: sp = 0x253FFF4, pc = 0xBFF8783F
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) frame 11: sp = 0x8167748C, pc = 0x4
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) In cygwin_except_handler
> (C:\WINDOWS\DESKTOP\TEST.EXE 1000) Error while dumping state (probably
> corrupted
>  stack)
> 
> The stack dump we all know too well. As for making it a C++ app, it
> wouldn't even compile using this:
> 
> c++ -g -O -o crash crash.cpp
> 
> returned the following:
> 
> temp.c: In function `int main()':
> temp.c:5: initialization to `void (*)()' from `char *'
> C__~1.EXE: Internal compiler error: program cc1plus got fatal signal 33
> 
> Not sure what this means as a whole, but from what I can tell, it doesn't
> work for me. BTW, I love the e-mail address this was posted from
> [email-masked] and would you believe it? no way to trace back the IP
> address. (recieved from localhost by [email-masked]). Strange huh?
> 
> - Greg Neujahr
>   [email-masked]
> 
> \---------------------------------------------\
>  \  Keet  |  [email-masked]            \
>   \---------------------------------------------\
>    \ http://localsonly.wilmington.net/~keetnet/  \--\
>     \---------------------------------------------\  \
>         \ Keet On FurryMUCK, FluffMuck, Moonglow, and \
>       /--\ Forgotten Paths                             \
>      /    \---------------------------------------------\
>     / Furry Code 1.2:                             /
>    / FA[parakeet]6fmsw A-- C- D+ H++ M+++ P+ R+  /
>   / T++++ W Z Sm RL# a# cn++ d+ e# f++++ h#     /
>  / i++>+++ p* sm#                              /
> /---------------------------------------------/
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
----------------------------------------------------------------------
Joe Wronski
[email-masked]               Better a racer for a moment
                                     Than a spectator for a lifetime!
----------------------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".